org.keycloak.dom.saml.v2.assertion

## Class SubjectConfirmationDataType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.SubjectConfirmationDataType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    KeyInfoConfirmationDataType

      public class SubjectConfirmationDataType
      extends Object
      implements Serializable

  Java class for SubjectConfirmationDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectConfirmationDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any/>
             </sequence>
             <attribute name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="Recipient" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="InResponseTo" type="{http://www.w3.org/2001/XMLSchema}NCName" />
             <attribute name="Address" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `address`
    `protected String` | `inResponseTo`
    `protected XMLGregorianCalendar` | `notBefore`
    `protected XMLGregorianCalendar` | `notOnOrAfter`
    `protected String` | `recipient`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectConfirmationDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOtherAttribute(QName qname, String str)` Add an other attribute
    `String` | `getAddress()` Gets the value of the address property.
    `Object` | `getAnyType()`
    `String` | `getInResponseTo()` Gets the value of the inResponseTo property.
    `XMLGregorianCalendar` | `getNotBefore()` Gets the value of the notBefore property.
    `XMLGregorianCalendar` | `getNotOnOrAfter()` Gets the value of the notOnOrAfter property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `String` | `getRecipient()` Gets the value of the recipient property.
    `void` | `removeOtherAttribute(QName qname)` Remove an other attribute
    `void` | `setAddress(String value)` Sets the value of the address property.
    `void` | `setAnyType(Object anyType)`
    `void` | `setInResponseTo(String value)` Sets the value of the inResponseTo property.
    `void` | `setNotBefore(XMLGregorianCalendar value)` Sets the value of the notBefore property.
    `void` | `setNotOnOrAfter(XMLGregorianCalendar value)` Sets the value of the notOnOrAfter property.
    `void` | `setRecipient(String value)` Sets the value of the recipient property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### notBefore

          protected XMLGregorianCalendar notBefore

    - #### notOnOrAfter

          protected XMLGregorianCalendar notOnOrAfter

    - #### recipient

          protected String recipient

    - #### inResponseTo

          protected String inResponseTo

    - #### address

          protected String address

  - ### Constructor Detail

    - #### SubjectConfirmationDataType

          public SubjectConfirmationDataType()

  - ### Method Detail

    - #### getAnyType

          public Object getAnyType()

    - #### setAnyType

          public void setAnyType(Object anyType)

    - #### getNotBefore

          public XMLGregorianCalendar getNotBefore()

      Gets the value of the notBefore property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setNotBefore

          public void setNotBefore(XMLGregorianCalendar value)

      Sets the value of the notBefore property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getNotOnOrAfter

          public XMLGregorianCalendar getNotOnOrAfter()

      Gets the value of the notOnOrAfter property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setNotOnOrAfter

          public void setNotOnOrAfter(XMLGregorianCalendar value)

      Sets the value of the notOnOrAfter property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getRecipient

          public String getRecipient()

      Gets the value of the recipient property.
      Returns:
        possible object is `String`

    - #### setRecipient

          public void setRecipient(String value)

      Sets the value of the recipient property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInResponseTo

          public String getInResponseTo()

      Gets the value of the inResponseTo property.
      Returns:
        possible object is `String`

    - #### setInResponseTo

          public void setInResponseTo(String value)

      Sets the value of the inResponseTo property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAddress

          public String getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `String`

    - #### setAddress

          public void setAddress(String value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute.

      Returns:
        always non-null

    - #### addOtherAttribute

          public void addOtherAttribute(QName qname,
                                        String str)

      Add an other attribute
      Parameters:
        `qname` -
        `str` -

    - #### removeOtherAttribute

          public void removeOtherAttribute(QName qname)

      Remove an other attribute
      Parameters:
        `qname` - `QName` of the attribute to be removed

Copyright © 2020 JBoss by Red Hat. All rights reserved.